Ulsav Docs

Check-In

GET
/api/v1/organizations/{organization_id}/check-in-logs

Path Parameters

organization_id*string

Query Parameters

sessionIds?array<string>|

Filter by CheckInSession id. Repeat or comma-separate for several.

eventIds?array<string>|

Filter by Event id. Repeat or comma-separate for several.

eventGroupIds?array<string>|

Filter by the checked-in Event's EventGroup id. Repeat or comma-separate for several.

passIds?array<string>|

Filter by Pass id. Repeat or comma-separate for several.

q?string

Search participant name/email/phone or Session, Event, or Pass name.

checkedInFrom?string

Check-ins at or after this time (RFC 3339).

Formatdate-time
checkedInTo?string

Check-ins before this time (RFC 3339).

Formatdate-time
limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/check-in-logs'
Example Response
{  "$schema": "https://example.com/schemas/PageCheckInLog.json",  "data": [    {      "checkedInAt": "2019-08-24T14:15:22Z",      "eventId": "string",      "eventName": "string",      "id": "string",      "method": "string",      "operatorName": "string",      "participantEmail": "string",      "participantId": "string",      "participantName": "string",      "participantPhone": "string",      "passId": "string",      "passName": "string",      "sessionId": "string",      "sessionName": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
GET
/api/v1/organizations/{organization_id}/check-in-sessions

Path Parameters

organization_id*string

Query Parameters

ids?array<string>|

Resolve these exact CheckInSession ids. Repeat or comma-separate for several; use to look up labels for selected ids.

eventIds?array<string>|

Filter by Event id. Repeat or comma-separate for several.

eventGroupIds?array<string>|

Filter by an EventGroup owning one of the session's Events. Repeat or comma-separate for several.

passIds?array<string>|

Filter by Pass id. Repeat or comma-separate for several.

statuses?array<string>|

Filter by session status (active, paused, closed).

q?string
limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/check-in-sessions'
Example Response
{  "$schema": "https://example.com/schemas/PageCheckInSession.json",  "data": [    {      "acceptAllPasses": true,      "acceptedPasses": [        {          "eventId": "string",          "eventName": "string",          "id": "string",          "name": "string"        }      ],      "createdAt": "2019-08-24T14:15:22Z",      "endsAt": "2019-08-24T14:15:22Z",      "eventIds": [        "string"      ],      "events": [        {          "id": "string",          "name": "string",          "slug": "string"        }      ],      "id": "string",      "instructions": "string",      "location": "string",      "name": "string",      "organizationId": "string",      "startsAt": "2019-08-24T14:15:22Z",      "status": "string",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
POST
/api/v1/organizations/{organization_id}/check-in-sessions

Path Parameters

organization_id*string

Request Body

application/json
  1. body
acceptAllPasses?boolean
acceptedPassIds?array<string>|null
endsAt?string
Formatdate-time
eventIds*array<string>|
Items1 <= items
instructions?string
Lengthlength <= 2000
location?string
Lengthlength <= 200
name*string
Lengthlength <= 120
startsAt?string
Formatdate-time

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
checkInSession*
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/check-in-sessions' \  -H 'Content-Type: application/json' \  -d '{  "eventIds": [    "string"  ],  "name": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/CheckInSessionBody.json",  "checkInSession": {    "acceptAllPasses": true,    "acceptedPasses": [      {        "eventId": "string",        "eventName": "string",        "id": "string",        "name": "string"      }    ],    "createdAt": "2019-08-24T14:15:22Z",    "endsAt": "2019-08-24T14:15:22Z",    "eventIds": [      "string"    ],    "events": [      {        "id": "string",        "name": "string",        "slug": "string"      }    ],    "id": "string",    "instructions": "string",    "location": "string",    "name": "string",    "organizationId": "string",    "startsAt": "2019-08-24T14:15:22Z",    "status": "string",    "updatedAt": "2019-08-24T14:15:22Z"  }}

Get one CheckInSession

GET
/api/v1/organizations/{organization_id}/check-in-sessions/{check_in_session_id}

Path Parameters

organization_id*string
check_in_session_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
checkInSession*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/check-in-sessions/string'
Example Response
{  "$schema": "https://example.com/schemas/CheckInSessionBody.json",  "checkInSession": {    "acceptAllPasses": true,    "acceptedPasses": [      {        "eventId": "string",        "eventName": "string",        "id": "string",        "name": "string"      }    ],    "createdAt": "2019-08-24T14:15:22Z",    "endsAt": "2019-08-24T14:15:22Z",    "eventIds": [      "string"    ],    "events": [      {        "id": "string",        "name": "string",        "slug": "string"      }    ],    "id": "string",    "instructions": "string",    "location": "string",    "name": "string",    "organizationId": "string",    "startsAt": "2019-08-24T14:15:22Z",    "status": "string",    "updatedAt": "2019-08-24T14:15:22Z"  }}
PATCH
/api/v1/organizations/{organization_id}/check-in-sessions/{check_in_session_id}

Path Parameters

organization_id*string
check_in_session_id*string

Request Body

application/json
  1. body
acceptAllPasses?boolean
acceptedPassIds?array<string>|null
clearWindow?boolean
endsAt?string
Formatdate-time
eventIds?array<string>|null
instructions?string
location?string
name?string
startsAt?string
Formatdate-time
status?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
checkInSession*
Example Request
curl -X PATCH 'https://example.com/api/v1/organizations/string/check-in-sessions/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/CheckInSessionBody.json",  "checkInSession": {    "acceptAllPasses": true,    "acceptedPasses": [      {        "eventId": "string",        "eventName": "string",        "id": "string",        "name": "string"      }    ],    "createdAt": "2019-08-24T14:15:22Z",    "endsAt": "2019-08-24T14:15:22Z",    "eventIds": [      "string"    ],    "events": [      {        "id": "string",        "name": "string",        "slug": "string"      }    ],    "id": "string",    "instructions": "string",    "location": "string",    "name": "string",    "organizationId": "string",    "startsAt": "2019-08-24T14:15:22Z",    "status": "string",    "updatedAt": "2019-08-24T14:15:22Z"  }}
GET
/api/v1/organizations/{organization_id}/check-in-sessions/{check_in_session_id}/scans

Path Parameters

organization_id*string
check_in_session_id*string

Query Parameters

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/check-in-sessions/string/scans'
Example Response
{  "$schema": "https://example.com/schemas/PageAttemptView.json",  "data": [    {      "createdAt": "2019-08-24T14:15:22Z",      "deviceLabel": "string",      "id": "string",      "method": "string",      "operatorName": "string",      "participantEmail": "string",      "participantId": "string",      "participantName": "string",      "passName": "string",      "reason": "string",      "resultCode": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}

Live admission counters

GET
/api/v1/organizations/{organization_id}/check-in-sessions/{check_in_session_id}/scans/stats

Path Parameters

organization_id*string
check_in_session_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
admissibleCount*integer
Formatint64
checkedInCount*integer
Formatint64
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/check-in-sessions/string/scans/stats'
Example Response
{  "$schema": "https://example.com/schemas/Stats.json",  "admissibleCount": 0,  "checkedInCount": 0}

Scan participant

POST
/api/v1/organizations/{organization_id}/check-in-sessions/{session_id}/participant-scans

Path Parameters

organization_id*string
session_id*string

Request Body

application/json
  1. body
input*string
participantId*string
reason*string
Lengthlength <= 240

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
candidates?array<>|null
checkInId?string
checkedInAt?string
Formatdate-time
name?string
operatorName?string
participantId?string
passName?string
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/check-in-sessions/string/participant-scans' \  -H 'Content-Type: application/json' \  -d '{  "input": "string",  "participantId": "string",  "reason": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/AdmissionResult.json",  "candidates": [    {      "name": "string",      "participantId": "string",      "passName": "string"    }  ],  "checkInId": "string",  "checkedInAt": "2019-08-24T14:15:22Z",  "name": "string",  "operatorName": "string",  "participantId": "string",  "passName": "string",  "status": "string"}